<font>
  <br>
  <br>
  <div style="width: 590px; padding: 10px;border: 3px solid #7590DA;background: rgba(127,137,164,0.75);padding-bottom: 15px;color: white">
    Recherche par ID : <input [(ngModel)]="id" size="3">&nbsp;
        <Button (click)="go1()">Chercher</Button><br><br>
        Recherche par nom : <input [(ngModel)]="rechercheParNom">
        &nbsp;
        <select [(ngModel)]="pokemonSelectionne">
          <option [value]="pokemon.id" *ngFor="let pokemon of pokemons | filterPokemonPipe:'nom':rechercheParNom">{{pokemon.nom}}</option>
        </select>
        &nbsp;
        <Button (click)="go2()" style="object-position: right">Chercher</Button>
  </div>
<br>

<div *ngIf="pokemonDetails">
  <b style="font-size: x-large;color:#000000;">
    #{{mettreDesZeros(pokemonDetails.id.toString())}} - {{pokemonDetails.name.charAt(0).toUpperCase() + pokemonDetails.name.substr(1,pokemonDetails.name.length-1)}}
  </b>
  <br>
  <br>
  <table cellpadding="5px" width="69%">
    <tr>
      <td width="25%" align="center"><img src={{pokemonDetails.sprites.front_default}} width="200px"></td>
      <td width="25%" valign="top">
        <b>Ordre : </b>{{pokemonDetails.order}}<br>
        <b>Taille : </b>{{convert(pokemonDetails.height.toString())}} m<br>
        <b>Poids : </b>{{convert(pokemonDetails.weight.toString())}} kg<br>
        <b>Expérience de base : </b>{{pokemonDetails.base_experience}} XP<br>
        <b>Types :</b>
        <ul>
          <li *ngFor="let type of pokemonDetails.types">
            <img src={{whatType(type.type.name)}} width="60px">
          </li>
        </ul>
      </td>
      <td width="25%" valign="top">
        <b>Statistiques :</b>
          <div *ngFor="let stat of pokemonDetails.stats" style="margin-left: 20px">
            {{stat.stat.name}} : {{stat.base_stat}} (EV = {{stat.effort}})
          </div>

      </td>
      <td width="25%" valign="top">
        <b>Abilités :</b>
          <div *ngFor="let ability of pokemonDetails.abilities" style="margin-left: 20px">
            {{ability.ability.name}}
          </div>
      </td>
    </tr>
  </table>
  <br>
  <table border="1px" cellpadding="5px" width="69%" style="color: white">
    <tr style="background: #7590DA" align="left">
      <th colspan="4"><b>Formes : </b></th></tr>
    <tr>
      <td style="text-align: center;background: rgba(117, 190, 218, 0.75);" width="25%">Male : <br><img src={{pokemonDetails.sprites.front_default}} width="200px" style="opacity: 100%"></td>
      <td style="text-align: center;background: rgba(117, 190, 218, 0.75)" width="25%">Femelle : <br><img src={{isFemale()}} width="200px"></td>
      <td style="text-align: center;background: rgba(117, 190, 218, 0.75)" width="25%">Male Shiny : <br><img src={{pokemonDetails.sprites.front_shiny}} width="200px"></td>
      <td style="text-align: center;background: rgba(117, 190, 218, 0.75)" width="25%">Femelle Shiny : <br><img src={{isFemaleShiny()}} width="200px"></td>
    </tr>
  </table>
  <br>
  <b>Zones où on peut le trouver : <a href="{{pokemonDetails.location_area_encounters}}" style="color:#425A9C;">{{pokemonDetails.location_area_encounters}}</a></b>
  <br><br>

  <b>Selectionnez la version dont vous voulez avec des infos : </b>&nbsp;
  <select [(ngModel)]="jeuSelectionne">
    <option value="">--------------version--------------</option>
    <option *ngFor="let game of versions">{{game}}</option>
  </select>

  <div *ngIf="jeuSelectionne === ''">
    <br>
    <br>
    <br>
    <br>
    <br>
  </div>

  <div *ngIf="jeuSelectionne !== ''">
    {{creerListeItems()}}
    {{creerListeAttaquesLvl()}}
    {{creerListeAttaquesAutres()}}
    <br>

    <div *ngIf="listeItems.length === 0 && listeAttaquesLvl.length === 0 && listeAttaquesMachine.length === 0 && listeAttaquesTutor.length === 0 && listeAttaquesEgg.length === 0 && listeAttaquesAutre.length === 0" style = "text-align: center; font-size: large">
      <b>Ce pokemon n'apparait pas dans cette version !!!</b>
      <br>
      <br>
      <br>
    </div>

    <div *ngIf="listeItems.length !== 0 || listeAttaquesLvl.length !== 0 || listeAttaquesMachine.length !== 0 || listeAttaquesTutor.length !== 0 || listeAttaquesEgg.length !== 0 || listeAttaquesAutre.length !== 0">
    <div *ngIf="listeItems.length !== 0">
      <b>Items qu'il peut avoir :</b>
      <div *ngFor="let item of listeItems" style="margin-left: 20px">
        {{item}}
      </div>
      <br>
    </div>

    <div *ngIf="listeItems.length === 0">
      <b>Items qu'il peut avoir :</b>
      Aucuns
      <br>
      <br>
    </div>

    <table border="1px" cellpadding="5px" style="color: white">
      <tr style="background: #425A9C" align="left">
        <th *ngIf="nombreColonnes() == 1" colspan="1">
          <b>Attaques du pokémon : </b>
        </th>
        <th *ngIf="nombreColonnes() == 2" colspan="2">
          <b>Attaques du pokémon : </b>
        </th>
        <th *ngIf="nombreColonnes() == 3" colspan="3">
          <b>Attaques du pokémon : </b>
        </th>
        <th *ngIf="nombreColonnes() == 4" colspan="4">
          <b>Attaques du pokémon : </b>
        </th>
        <th *ngIf="nombreColonnes() == 5" colspan="5">
          <b>Attaques du pokémon : </b>
        </th>
      </tr>
      <tr style="background: #7590DA" align="center">
        <th *ngIf="listeAttaquesLvl.length !== 0">
          <b>Apprises par montée de niveau :</b>
        </th>
        <th *ngIf="listeAttaquesMachine.length !== 0">
          <b>Apprises par CT/CS :</b>
        </th>
        <th *ngIf="listeAttaquesTutor.length !== 0">
          <b>Apprises par Maitre des Capacités :</b>
        </th>
        <th *ngIf="listeAttaquesEgg.length !== 0">
          <b>Apprises par reproduction :</b>
        </th>
        <th *ngIf="listeAttaquesAutre.length !== 0">
          <b>Attaques apprises autrement :</b>
        </th>
      </tr>
      <tr>
        <td *ngIf="listeAttaquesLvl.length !== 0" valign="top" style="background: rgba(117, 190, 218, 0.75)" width="10%">
          <div *ngFor="let item of listeAttaquesLvl">
            {{item}}
          </div>
        </td>
        <td *ngIf="listeAttaquesMachine.length !== 0" valign="top" style="background: rgba(117, 190, 218, 0.75);" width="10%">
          <div *ngFor="let item of listeAttaquesMachine">
            {{item}}
          </div>
        </td>
        <td *ngIf="listeAttaquesTutor.length !== 0" valign="top" style="background: rgba(117, 190, 218, 0.75);" width="10%">
          <div *ngFor="let item of listeAttaquesTutor">
            {{item}}
          </div>
        </td>
        <td *ngIf="listeAttaquesEgg.length !== 0" valign="top" style="background: rgba(117, 190, 218, 0.75);" width="10%">
          <div *ngFor="let item of listeAttaquesEgg">
            {{item}}
          </div>
        </td>
        <td *ngIf="listeAttaquesAutre.length !== 0" valign="top" style="background: rgba(117, 190, 218, 0.75);" width="10%">
          <div *ngFor="let item of listeAttaquesAutre">
            {{item}}
          </div>
        </td>
      </tr>
    </table>
    </div>
  </div>
</div>

</font>
